version: '3'
services:
  sparkhistory:
    image: registry.gitlab.com/rychly-edu/docker/docker-spark
    environment:
      - ROLE=history
      - HISTUI_PORT=18080
      - LOG_DIR=hdfs://namenode:8020/user/spark/applicationHistory
      - WAIT_FOR=namenode:8020
#    ports:
#      - "18080:18080"
  namenode:
    image: registry.gitlab.com/rychly-edu/docker/docker-hdfs
    environment:
      - ROLE=namenode
      - DFS_DEFAULT=hdfs://namenode:8020
      - NAME_DIRS=/home/hadoop/name
      - DFS_NAMENODES=rpc://namenode:8020,http://namenode:9870,https://namenode:9871
      - ADD_USERS=spark
#    ports:
#      - "8020:8020"
#      - "9870:9870"
#      - "9871:9871"
    volumes:
      - ./volumes/namenode:/home/hadoop/name
  datanode:
    image: registry.gitlab.com/rychly-edu/docker/docker-hdfs
    environment:
      - ROLE=datanode
      - DFS_DEFAULT=hdfs://namenode:8020
      - DATA_DIRS=/home/hadoop/data
      - DFS_DATANODES=data://0.0.0.0:9866,http://0.0.0.0:9864,https://0.0.0.0:9865,ipc://0.0.0.0:9867
#    ports:
#      - "9866"
#      - "9864"
#      - "9865"
#      - "9867"
    volumes:
      - ./volumes/datanode1:/home/hadoop/data
